LINUX.ORG.RU

Обновление Debian с Lenny на Squeeze


0

0

Здравствуйте.

Поставил на нетбук Asus eee-pc 900 Дебиан Ленни, поставил сначала без иксов. потом хотел поставить kde, но в lenny только kde3 поэтому обновил источники (/etc/apt/sources.lst) на squeeze. Но после apt-get update и apt-get install xserver-xorg теперь ничего не устанавливается, т.к. kde требует новый udev, а udev тоже не ставится. Пишет Sub-process /usr/bin/dpkg returned an error code (1). Че теперь делать - хз, любая операция с apt-get (хоть remove, хоть install) матерится на udev (нужен >= 149 а стоит 0.125-7+lenny3). Предалает поставить его с параметром -f, но это тоже не помогает.

Как обновить udev?


Обновляйся до Squeeze. Или ты всерьез думаешь, что установка KDE4 из Squeeze в Lenny — это удачная идея? :)

Zubok ★★★★★ ()

Просто новый удев не умеет старые ядра и при обновлении просит создать /etc/udev/kernel-upgrade или чтото вроде того, на там при установке пишет, же. И да, новое ядро тоже нужно) были такиеже вилы когда свой ееепц 701 обновлял с ленни на сид

TERRANZ ★★★★ ()
Ответ на: комментарий от cuki

>установи ядро 2.6.32 из Squeeze, перезагрузись в него и обновляйся

Спасибо, попробую

zsh ()
Ответ на: комментарий от zsh

>>>Но после apt-get update и apt-get install xserver-xorg

Обновляйся до Squeeze.

Так в том-то и дело, что не получается! apt-get ругается на «неправильный» udev

Так я просто не видел, где написано, что ты обновляешься. Я вижу, что делается попытка поставить xserver-xorg. Я имел в виду apt-get upgrade.

Zubok ★★★★★ ()

В общем, я кажется понял в чем была моя ошибка. Я делал просто upgrade, а надо было dist-upgrade.

В общем, после танцев с бубном и курения манов ( http://www.deb.at/releases/stable/arm/release-notes/ch-upgrading.ru.html#pack... ) удалось выпить установленные пакеты (с помощью aptitude) и обновить систему им же.

Всем спасибо.

zsh ()

Надо было делать apt-get dist-upgrade.

alpha2 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.